/** @file
 * $Author: messineo $
 * $Date: 2008-02-05 16:56:15 $
 * $Revision: 1.6 $
 * 
 * Implementation of the base class for the algorithms used to read the 
 * techmodel data file of Pamela.
 */


#include "TechmodelAlgorithm.h"

using namespace pamela;
using namespace pamela::techmodel;

TechmodelAlgorithm::TechmodelAlgorithm(const PacketType* type, std::string name): 
  Algorithm(type, name) {}

/**
 * On default, the Init() do nothing
 */
void TechmodelAlgorithm::Init(PamelaRun* run) {}

ClassImp(TechmodelAlgorithm)
